import java.io.*;

class fm1 extends f_xi
{
 double func(double x[],int x_ref)
 { 
   //x[0] is t, x[1] is teta(pendulum swing angle) x[2] v velocity
   if(x_ref==0) return x[2];
   else return -2;
 }
}

class NA137A
{

public static void main(String args[]) throws IOException
{
  fm1 b1=new fm1();
  double y[];
  y=new double[2];
  y[0]=20.0;
  y[1]=0.0;
  double a[][]=NA93.RK6(b1,0.0,1.0,y,100000);
  int n=a[0].length;
  Plot p1=new Plot(a[0],a[1]);
  p1.setXlabel("x");
  p1.setYlabel("T");
  p1.setPlabel("ısı transferi");
  p1.plot();
 }

}
